<div>
    <p class="text-info" *ngIf="phoneBooks.length > 0">Select a phone book below</p>
    <div class="row justify-content-between phone-book p-2 mx-1 my-3" *ngFor="let p of phoneBooks" [class.bg-info]="p.selected"
     (click)="onSelectPhoneBook(p.id)">
        <div >
            <h4>{{p.name}}</h4>
        </div>
        <div [hidden]="true">
            <button class="btn btn-primary mx-1">Edit</button>
            <button class="btn btn-danger mx-1">Delete</button>
        </div>
    </div>

    <form (ngSubmit)="newPhoneBook()">
        <h6>Add new phone book</h6>
      
        <div class="input-group my-3">
          <div class="input-group-prepend">
            <span class="input-group-text" id="basic-addon1">Name:</span>
          </div>
          <input type="text" class="form-control" name="phoneBookName" [(ngModel)]="phoneBookName">
        </div>
    
        <button [disabled]="phoneBookName.trim().length === 0" type="submit" class="btn btn-primary mt-3">Save</button>
      
      </form>
      
</div>